rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
rpmdpkg.c File Reference
`#include "system.h"`
`#include <rpmiotypes.h>`
`#include <rpmtag.h>`
`#include <rpmdpkg.h>`
`#include "debug.h"`
Include dependency graph for rpmdpkg.c:

Go to the source code of this file.

## Macros
#define | _RPMEVR_INTERNAL

## Functions
static int | dpkgEVRctype (char x)
int | dpkgEVRcmp (const char *a, const char *b)
| Segmented string compare. More...
int | dpkgEVRparse (const char *evrstr, EVR_t evr)
| Split EVR string into epoch, version, and release components. More...
int | dpkgEVRcompare (const EVR_t a, const EVR_t b)
| Compare EVR containers. More...

## Variables
int | _rpmdpkg_debug = 0

## Macro Definition Documentation

#define _RPMEVR_INTERNAL

Definition at line 9 of file rpmdpkg.c.

## Function Documentation

static int dpkgEVRctype | ( | char | x | ) |
| inline static

Definition at line 20 of file rpmdpkg.c.

References xisalpha(), and xisdigit().

Referenced by dpkgEVRcmp().

## Variable Documentation

int _rpmdpkg_debug = 0

Definition at line 17 of file rpmdpkg.c.